@echo Sierra Wireless Log File and System Information Collecting Utility
@echo (c) Sierra Wireless Inc.  All rights reserved.
@echo.
@echo Command line usage:
@echo  "SwiDiagUtil.exe [-e] [-s] [-p <full target file path>] [-f <filter number>] [-d <date>] [-h]"
@echo.
@echo     -e: Launch with elevated user privilege
@echo     -s: Start in silent mode and start collection immediately
@echo     -p: Specify full target package file path.  Surround with "" if the patch contains space
@echo     -f: Specify collection item filter number in decimal or hex number.  If using hex number, please prefix the number with "0x"
@echo     -d: Specify date value that is before today and in current locale format
@echo     -h: Display this dialog
@echo.
@echo.
@echo Filter number definitions:
@echo.
@echo    CatApp       = 0x01000000 (Application Category)
@echo    CatDrv       = 0x02000000 (Driver Category)
@echo    CatDev       = 0x04000000 (Device Category)
@echo    CatSys       = 0x08000000 (System Category)
@echo.
@echo    CatAll       = 0x0F000000 (All categories)
@echo.
@echo    ObjApp       = 0x00000001 (Application logs)
@echo    ObjMSI       = 0x00000002 (MSI installer log)
@echo    ObjWebUpt    = 0x00000004 (WebUpdater info)
@echo    ObjBUT       = 0x00000008 (BUT logs)
@echo    ObjDrv       = 0x00000010 (Driver logs - AppData)
@echo    ObjDrvInst   = 0x00000020 (Driver installer logs)
@echo    ObjSysCrash  = 0x00000040 (System crash dump)
@echo    ObjSysEvent  = 0x00000080 (System Event logs)
@echo    ObjWer       = 0x00000100 (WER logs)
@echo    ObjAppCrash  = 0x00000200 (Application logs)
@echo    ObjSetupApi  = 0x00000400 (SetupAPI logs)
@echo    ObjAutoplay  = 0x00000800 (Autoplay logs)
@echo    ObjOSInfo    = 0x00001000 (OS information from MSINFO32)
@echo    ObjIPCfg     = 0x00002000 (IP Config info)
@echo    ObjProcs     = 0x00004000 (Current running processes list)
@echo    ObjSWCfg     = 0x00008000 (Watcher and other application configuration registry settings)
@echo    ObjTcpip     = 0x00010000 (TCP/IP registry settings)
@echo    ObjDun       = 0x00020000 (DUN registry settings)
@echo    ObjDrvCfg    = 0x00040000 (Driver registry settings)
@echo    ObjDevInfo   = 0x00080000 (Device information)
@echo.
@echo    ObjAll       = 0x000FFFFF (All objects)
@echo.
@echo If any of the category flag is defined, individual object flags are ignored.
@echo If not started in silent mode, individual object flags are ignored.
@echo.
@echo Example: SwiDiagUtil.exe -p "C:\Sierra Wireless Diagnostic Package" -f 0x0000ffff -d 01/01/2009 -s
@echo.
@echo This command line would launch SwiDiagUtil under current running user's credential, collect all the information (with -f value 0x0001ffff), that is generated since January 1, 2009 (with -d value 01/01/2009), and save the diagnostic package to "C:\Sierra Wireless Diagnostic Package.zip" (as specified with -p)
@echo The collection process starts automatically (with -s).